r7878 - trunk/BOOK/general/genlib

gdalziel at linuxfromscratch.org gdalziel at linuxfromscratch.org
Sun Jul 26 12:03:13 PDT 2009


Author: gdalziel
Date: 2009-07-26 13:03:13 -0600 (Sun, 26 Jul 2009)
New Revision: 7878

Modified:
   trunk/BOOK/general/genlib/libgcrypt.xml
   trunk/BOOK/general/genlib/libgpg-error.xml
Log:
LFS 6.5 checks against libgpg-error and libgcrypt, includes several corrections.

Modified: trunk/BOOK/general/genlib/libgcrypt.xml
===================================================================
--- trunk/BOOK/general/genlib/libgcrypt.xml	2009-07-26 18:30:18 UTC (rev 7877)
+++ trunk/BOOK/general/genlib/libgcrypt.xml	2009-07-26 19:03:13 UTC (rev 7878)
@@ -8,8 +8,8 @@
   <!ENTITY libgcrypt-download-ftp  "ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-&libgcrypt-version;.tar.bz2">
   <!ENTITY libgcrypt-md5sum        "34105aa927e23c217741966496b97e67">
   <!ENTITY libgcrypt-size          "1.1 MB">
-  <!ENTITY libgcrypt-buildsize     "25 MB">
-  <!ENTITY libgcrypt-time          "0.6 SBU (additional 0.6 SBU to run the test suite)">
+  <!ENTITY libgcrypt-buildsize     "23 MB">
+  <!ENTITY libgcrypt-time          "0.4 SBU (additional 0.8 SBU to run the test suite)">
 ]>
 
 <sect1 id="libgcrypt" xreflabel="Libgcrypt-&libgcrypt-version;">
@@ -35,6 +35,8 @@
     interface to cryptographic building blocks using an extendable and flexible
     API.</para>
 
+    &lfs65_checked;
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>

Modified: trunk/BOOK/general/genlib/libgpg-error.xml
===================================================================
--- trunk/BOOK/general/genlib/libgpg-error.xml	2009-07-26 18:30:18 UTC (rev 7877)
+++ trunk/BOOK/general/genlib/libgpg-error.xml	2009-07-26 19:03:13 UTC (rev 7878)
@@ -7,9 +7,9 @@
   <!ENTITY libgpg-error-download-http "&sources-anduin-http;/l/libgpg-error-&libgpg-error-version;.tar.bz2">
   <!ENTITY libgpg-error-download-ftp  "ftp://ftp.gnupg.org/gcrypt/libgpg-error/libgpg-error-&libgpg-error-version;.tar.bz2">
   <!ENTITY libgpg-error-md5sum        "62c0d09d1e76c5b6da8fff92314c4665">
-  <!ENTITY libgpg-error-size          "403 KB">
-  <!ENTITY libgpg-error-buildsize     "4.5 MB">
-  <!ENTITY libgpg-error-time          "0.1 SBU">
+  <!ENTITY libgpg-error-size          "395 KB">
+  <!ENTITY libgpg-error-buildsize     "4 MB">
+  <!ENTITY libgpg-error-time          "less than 0.1 SBU">
 ]>
 
 <sect1 id="libgpg-error" xreflabel="Libgpg-error-&libgpg-error-version;">
@@ -35,6 +35,8 @@
     GPGME, GPG-Agent, libgcrypt, Libksba, DirMngr, Pinentry, SmartCard Daemon
     and more.</para>
 
+    &lfs65_checked;
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>
@@ -88,7 +90,7 @@
     <segmentedlist>
       <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Library</segtitle>
-      <segtitle>Installed Directory</segtitle>
+      <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
         <seg>gpg-error and gpg-error-config</seg>
@@ -118,9 +120,10 @@
         <term><command>gpg-error-config</command></term>
         <listitem>
           <para>is a utility used to configure and build applications based on
-          the Libgpg-error library. It can be used to query the C compiler and
-          linker flags which are required to correctly compile and link the
-          application against the Libgpg-error library.</para>
+          the <application>Libgpg-error</application> library. It can be used 
+          to query the C compiler and linker flags which are required to correctly 
+          compile and link the application against the 
+          <application>Libgpg-error</application> library.</para>
           <indexterm zone="libgpg-error gpg-error-config">
             <primary sortas="b-gpg-error-config">gpg-error-config</primary>
           </indexterm>




More information about the blfs-book mailing list